Subject: [dispatch] I-D on RTP failover problem posted to mmusic

From: Martin Taylor <[email-masked]>
Date: Sat, 5 Mar 2016 18:52:40 +0000

I recently posted https://tools.ietf.org/html/draft-taylor-mmusic-rtp-failover-problem-00 to mmusic.

This I-D describes a common problem associated with network functions that terminate or relay large numbers of concurrent RTP sessions such as session border controllers or conference bridges.  Network operators typically require that no equipment or software failure shall cause more than a second or two's interruption to any of the RTP sessions handled by such functions.  The only practical solution capable of meeting this need currently is for RTP packets to be sent to a service IP address which is capable of being moved quickly from one system to another, and the only way to do this sufficiently quickly is to for both active and standby systems to be connected to the same L2 segment.  This is problematic in two situations: (1) where active and standby systems are geographically separated and (2) in L3-centric data center fabrics.

This Informational I-D is intended to stimulate discussion leading to consensus on the need for a solution.  The solution is likely to involve extensions to SDP to communicate multiple connection addresses at session setup time, which is why I originally submitted the I-D to mmusic.  However, the solution is also likely to require some new RTP and RTCP procedures - so I have posted an email to avtcore alerting them to the existence of this I-D.

Martin